=== debian/changelog ===
mobilemesh (1.0+dfsg0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * Removed RFC's from package (closes: #390657)

 -- Bas Zoetekouw <bas@debian.org>  Sat, 14 Oct 2006 13:44:00 +0200

mobilemesh (1.0-6.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * Remove extra qualification from C++ header file. Closes: #356004)

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 25 May 2006 18:19:50 +0200

mobilemesh (1.0-6) unstable; urgency=low

  * Rebuild for C++ ABI

 -- Mark Purcell <msp@debian.org>  Sat, 30 Jul 2005 14:56:41 +0100

mobilemesh (1.0-5) unstable; urgency=low

  * Rebuild for g++-3.2 transition. Thanks Matt Kraai (Closes: Bug#194991)
  * Update upstream URL. debian/copyright, debian/control

 -- Mark Purcell <msp@debian.org>  Thu,  6 Nov 2003 23:15:09 +1100

mobilemesh (1.0-4) unstable; urgency=low

  * Patch to allow compilation with all versions of g++, Thanks Julien
    LEMOINE (Closes: Bug#165186)

 -- Mark Purcell <msp@debian.org>  Mon, 30 Dec 2002 07:01:52 +1100

mobilemesh (1.0-3) unstable; urgency=low

  * Fixup size_t 64 bit issue. Thanks Gerhard Tonn. (Closes: Bug#172223)

 -- Mark Purcell <msp@debian.org>  Mon,  9 Dec 2002 19:41:46 +1100

mobilemesh (1.0-2) unstable; urgency=low

  * Suggests: graphviz (Closes: Bug#164874)

 -- Mark Purcell <msp@debian.org>  Thu, 17 Oct 2002 21:06:34 +1000

mobilemesh (1.0-1) unstable; urgency=low

  * Initial Release. (Closes: Bug#164409)

 -- Mark Purcell <msp@debian.org>  Thu, 17 Oct 2002 21:06:20 +1000
