=== debian/control ===
Source: mobilemesh
Section: net
Priority: optional
Maintainer: Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: mobilemesh
Architecture: any
Depends: ${shlibs:Depends}, iproute
Suggests: graphviz
Description: Mobile adhoc networking
 MobileMesh networking allows users to exchange information in a
 wireless environment without the need for a fixed infrastructure.
 Each user (or node), equipped with one or more radios, is free to
 roam about while communicating with others. The path between any
 pair of users can traverse multiple wireless links and the radios
 themselves can be heterogeneous, thus enabling an assortment of
 different types of links to be part of the same adhoc network. 
 .
 The mobility of the nodes results in a network whose topology is
 dynamic.  The job of the network is to discover the links between
 the mobile nodes and to build paths so that any user can communicate
 with any other user, as long as each has a link to the adhoc network.
 Within the adhoc network, each node acts as a router and forwards
 packets on behalf of others. 
 .
 Website: http://www.mitre.org/work/tech_transfer/mobilemesh/
